<script lang="ts">
import Vue from 'vue';
import ParallaxContainer from '../../developer-survey/2023/parallax-container.vue';

export default Vue.extend({
  components: { ParallaxContainer },
  props: {
    src: {
      type: String,
      required: false,
      default: '',
    },
    alt: {
      type: String,
      required: false,
      default: '',
    },
  },
});
</script>

<template>
  <div class="ai-logo">
    <ParallaxContainer>
      <svg
        width="182"
        height="328"
        viewBox="0 0 182 328"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
      >
        <path
          id="star1"
          d="M27.3689 1.75207L24.9014 15.0193C24.0939 19.3388 20.6393 22.6887 16.2875 23.4821L2.78336 25.9063C0.405551 26.3471 0.405551 29.697 2.78336 30.0937L16.2875 32.5179C20.6842 33.3113 24.0939 36.7052 24.9014 40.9807L27.3689 54.2479C27.8176 56.584 31.2273 56.584 31.6311 54.2479L34.0986 40.9807C34.9061 36.6612 38.3607 33.3113 42.7125 32.5179L56.2166 30.0937C58.5945 29.6529 58.5945 26.303 56.2166 25.9063L42.7125 23.4821C38.3158 22.6887 34.9061 19.2948 34.0986 15.0193L31.6311 1.75207C31.1824 -0.584022 27.7727 -0.584022 27.3689 1.75207Z"
          fill="url(#paint0_linear_1070_821)"
        />
        <path
          id="star2"
          d="M127.164 228.25L126.774 230.146C126.646 230.763 126.101 231.241 125.414 231.355L123.282 231.701C122.906 231.764 122.906 232.242 123.282 232.299L125.414 232.645C126.108 232.759 126.646 233.244 126.774 233.854L127.164 235.75C127.234 236.083 127.773 236.083 127.836 235.75L128.226 233.854C128.354 233.237 128.899 232.759 129.586 232.645L131.718 232.299C132.094 232.236 132.094 231.758 131.718 231.701L129.586 231.355C128.892 231.241 128.354 230.756 128.226 230.146L127.836 228.25C127.766 227.917 127.227 227.917 127.164 228.25Z"
          fill="url(#paint1_linear_1070_821)"
        />
        <path
          id="star3"
          d="M13.896 171.933L12.5957 179C12.1701 181.301 10.3496 183.086 8.05629 183.508L0.939835 184.799C-0.313228 185.034 -0.313228 186.819 0.939835 187.03L8.05629 188.321C10.3733 188.744 12.1701 190.552 12.5957 192.829L13.896 199.896C14.1325 201.141 15.9293 201.141 16.1421 199.896L17.4424 192.829C17.868 190.528 19.6885 188.744 21.9818 188.321L29.0983 187.03C30.3514 186.795 30.3514 185.011 29.0983 184.799L21.9818 183.508C19.6649 183.086 17.868 181.278 17.4424 179L16.1421 171.933C15.9057 170.689 14.1088 170.689 13.896 171.933Z"
          fill="url(#paint2_linear_1070_821)"
        />
        <path
          id="star4"
          opacity="0.6"
          d="M159.805 84.2174L158.034 93.4418C157.459 96.4402 155.012 98.7886 151.886 99.3391L142.269 101.037C140.577 101.336 140.577 103.664 142.269 103.963L151.886 105.661C155.012 106.213 157.461 108.56 158.034 111.558L159.805 120.783C160.117 122.406 162.543 122.406 162.855 120.783L164.625 111.558C165.201 108.56 167.647 106.211 170.773 105.661L180.39 103.963C182.083 103.664 182.083 101.336 180.39 101.037L170.773 99.3391C167.647 98.7868 165.199 96.4402 164.625 93.4418L162.855 84.2174C162.543 82.5942 160.117 82.5942 159.805 84.2174Z"
          fill="url(#paint3_linear_1070_821)"
        />
        <path
          id="star5"
          opacity="0.6"
          d="M73.7875 309.593L72.9601 314.087C72.691 315.548 71.5478 316.692 70.087 316.96L65.5931 317.787C64.8023 317.933 64.8023 319.067 65.5931 319.213L70.087 320.04C71.5478 320.309 72.6919 321.452 72.9601 322.913L73.7875 327.407C73.933 328.198 75.067 328.198 75.2125 327.407L76.0399 322.913C76.309 321.452 77.4522 320.308 78.9129 320.04L83.4069 319.213C84.1977 319.067 84.1977 317.933 83.4069 317.787L78.9129 316.96C77.4522 316.691 76.3081 315.548 76.0399 314.087L75.2125 309.593C75.067 308.802 73.933 308.802 73.7875 309.593Z"
          fill="url(#paint4_linear_1070_821)"
        />
        <defs>
          <linearGradient
            id="paint0_linear_1070_821"
            x1="44.2379"
            y1="42.5234"
            x2="15.2838"
            y2="13.0522"
            gradientUnits="userSpaceOnUse"
          >
            <stop stop-color="#DF4329" stop-opacity="0.9" />
            <stop offset="0.786458" stop-color="#A686F2" />
          </linearGradient>
          <linearGradient
            id="paint1_linear_1070_821"
            x1="129.827"
            y1="234.075"
            x2="125.719"
            y2="229.453"
            gradientUnits="userSpaceOnUse"
          >
            <stop stop-color="#DF4329" stop-opacity="0.9" />
            <stop offset="0.786458" stop-color="#A686F2" />
          </linearGradient>
          <linearGradient
            id="paint2_linear_1070_821"
            x1="22.7857"
            y1="193.651"
            x2="7.36068"
            y2="178.118"
            gradientUnits="userSpaceOnUse"
          >
            <stop offset="0.33" stop-color="#10AEAE" stop-opacity="0.61" />
            <stop offset="0.43" stop-color="#1CB3B1" stop-opacity="0.66" />
            <stop offset="0.63" stop-color="#3BC0B9" stop-opacity="0.79" />
            <stop offset="0.91" stop-color="#6FD7C6" />
          </linearGradient>
          <linearGradient
            id="paint3_linear_1070_821"
            x1="171.827"
            y1="112.57"
            x2="151.709"
            y2="91.5955"
            gradientUnits="userSpaceOnUse"
          >
            <stop offset="0.2358" stop-color="#A686F2" />
            <stop offset="0.3904" stop-color="#A382F0" stop-opacity="0.9779" />
            <stop offset="0.5326" stop-color="#9A77EB" stop-opacity="0.9575" />
            <stop offset="0.67" stop-color="#8A65E3" stop-opacity="0.9379" />
            <stop offset="0.8036" stop-color="#744AD7" stop-opacity="0.9188" />
            <stop offset="0.9349" stop-color="#5829C8" stop-opacity="0.9" />
          </linearGradient>
          <linearGradient
            id="paint4_linear_1070_821"
            x1="79.4053"
            y1="323.406"
            x2="69.5955"
            y2="313.596"
            gradientUnits="userSpaceOnUse"
          >
            <stop offset="0.2358" stop-color="#A686F2" />
            <stop offset="0.3904" stop-color="#A382F0" stop-opacity="0.9779" />
            <stop offset="0.5326" stop-color="#9A77EB" stop-opacity="0.9575" />
            <stop offset="0.67" stop-color="#8A65E3" stop-opacity="0.9379" />
            <stop offset="0.8036" stop-color="#744AD7" stop-opacity="0.9188" />
            <stop offset="0.9349" stop-color="#5829C8" stop-opacity="0.9" />
          </linearGradient>
        </defs>
      </svg>
    </ParallaxContainer>
  </div>
</template>

<style lang="scss" scoped>
.ai-logo {
  position: relative;
  svg {
    width: 100%;
    height: 100%;
  }
  path {
    opacity: 0;
    animation: 3.5s opacity forwards;
  }
  @keyframes opacity {
    15% {
      opacity: 0;
    }
    100% {
      opacity: 1;
    }
  }
  #star2 {
    animation-delay: 0.5s;
  }
  #star3 {
    animation-delay: 1s;
  }
  #star4 {
    animation-delay: 1.5s;
  }
  #star5 {
    animation-delay: 2s;
  }
}
</style>
